From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/beautifulsoup4/
Date: Tue, 31 Jan 2023 19:09:58 +0000 (UTC) [thread overview]
Message-ID: <1675192192.5a1941493a4c3e319b1ed015fb97fcd5c4de18c3.arthurzam@gentoo> (raw)
commit: 5a1941493a4c3e319b1ed015fb97fcd5c4de18c3
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 31 18:48:57 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 19:09:52 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a194149
dev-python/beautifulsoup4: add 4.11.2
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/beautifulsoup4/Manifest | 1 +
.../beautifulsoup4/beautifulsoup4-4.11.2.ebuild | 37 ++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/beautifulsoup4/Manifest b/dev-python/beautifulsoup4/Manifest
index c417a2b0a8dc..84adc392b283 100644
--- a/dev-python/beautifulsoup4/Manifest
+++ b/dev-python/beautifulsoup4/Manifest
@@ -1 +1,2 @@
DIST beautifulsoup4-4.11.1.tar.gz 517113 BLAKE2B bc0cc8dbb1bffca2d3441a274147f201b79447f2147f7b4c329f05f6d230f9986eebd3709199d0b3c7dba8c15e4ce42e9dc75e290a2bfdfdae643f5dfe07e767 SHA512 7446be07cd55f23def929e6491f0d74a940cf50206ed520b8ae7b9d57bd19ecf6aa821f446ca4f26f1e08b43fcc71fb397886f51a3f0ec691f9e53dfdc7a0cf8
+DIST beautifulsoup4-4.11.2.tar.gz 517627 BLAKE2B 19fc88dff84c398461ecce3b66b1a92c3541114e3595aa1bae7182914e174d9c36b6de37ba120200695f6dca489c6afcd361244ae9577bc469d20a0864989d48 SHA512 68f5328f881946e80ed1af36b26da184f0af58aaf124f5f623f89c40130e1578f6dbe874b11c802e52c0ec02cfbf6b681e10eb235279631f479d14c2243e7dd3
diff --git a/dev-python/beautifulsoup4/beautifulsoup4-4.11.2.ebuild b/dev-python/beautifulsoup4/beautifulsoup4-4.11.2.ebuild
new file mode 100644
index 000000000000..a785ef80106c
--- /dev/null
+++ b/dev-python/beautifulsoup4/beautifulsoup4-4.11.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Pythonic idioms for iterating, searching, and modifying an HTML/XML parse tree"
+HOMEPAGE="https://www.crummy.com/software/BeautifulSoup/bs4/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/soupsieve[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+"
+# bs4 prefers cchardet > chardet > charset-normalizer
+# however, charset-normalizer causes test failures, so force the other two
+# dev-python/chardet[${PYTHON_USEDEP}]
+BDEPEND="
+ test? (
+ || (
+ dev-python/cchardet[${PYTHON_USEDEP}]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc/source
next reply other threads:[~2023-01-31 19:10 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-31 19:09 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-16 1:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/beautifulsoup4/ Michał Górny
2025-03-08 10:50 Michał Górny
2025-03-08 9:32 Arthur Zamarin
2025-02-16 15:08 Michał Górny
2025-02-05 8:06 Michał Górny
2025-02-03 13:38 Michał Górny
2024-05-09 19:13 Michał Górny
2024-02-03 9:17 Michał Górny
2024-02-03 8:33 Arthur Zamarin
2024-01-18 3:43 Michał Górny
2023-05-26 16:55 Michał Górny
2023-04-22 9:16 Michał Górny
2023-04-22 9:02 Arthur Zamarin
2023-04-08 5:13 Michał Górny
2023-04-06 3:07 Michał Górny
2023-03-21 5:59 Michał Górny
2023-03-03 17:48 Michał Górny
2023-03-03 17:48 Michał Górny
2023-03-03 17:39 Arthur Zamarin
2022-05-15 10:41 Michał Górny
2022-05-11 20:11 Michał Górny
2022-04-09 6:52 Michał Górny
2021-10-09 19:27 Arthur Zamarin
2021-10-09 19:18 Sam James
2021-09-27 8:40 James Le Cuirot
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1675192192.5a1941493a4c3e319b1ed015fb97fcd5c4de18c3.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox